{
  "name": "link-stack",
  "version": "2.0.0b1",
  "description": "",
  "main": "index.js",
  "scripts": {
    "dev": "dotenv -- turbo run dev --concurrency 30",
    "build": "turbo build --concurrency 30",
    "dev:metamigo": "dotenv -- turbo run dev --concurrency 30 --filter=!link --filter=!leafcutter",
    "migrate": "dotenv -- npm run migrate --workspace=@digiresilience/metamigo-cli",
    "fmt": "turbo run fmt",
    "docker:all:up": "CURRENT_UID=$(CURRENT_UID) docker compose -f docker-compose.zammad.yml -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml -f docker-compose.opensearch.yml -f docker-compose.leafcutter.yml -f docker-compose.link.yml up -d",
    "docker:all:down": "docker compose -f docker-compose.zammad.yml -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml -f docker-compose.opensearch.yml -f docker-compose.leafcutter.yml -f docker-compose.link.yml down",
    "docker:all:build": "docker compose -f docker-compose.zammad.yml -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml -f docker-compose.opensearch.yml -f docker-compose.leafcutter.yml -f docker-compose.link.yml up --build -d",
    "docker:link:dev:up": "docker compose -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml -f docker-compose.zammad.yml up -d",
    "docker:link:dev:down": "docker compose -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml -f docker-compose.zammad.yml down",
    "docker:link:up": "docker compose -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml -f docker-compose.zammad.yml -f docker-compose.link.yml up -d",
    "docker:link:down": "docker compose -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml -f docker-compose.zammad.yml -f docker-compose.link.yml down",
    "docker:link:build": "docker compose -f docker-compose.link.yml up --build -d",
    "docker:leafcutter:dev:up": "docker compose -f docker-compose.opensearch.yml up -d",
    "docker:leafcutter:dev:down": "docker compose -f docker-compose.opensearch.yml down",
    "docker:leafcutter:up": "docker compose -f docker-compose.opensearch.yml -f docker-compose.leafcutter.yml up -d",
    "docker:leafcutter:down": "docker compose -f docker-compose.opensearch.yml -f docker-compose.leafcutter.yml down",
    "docker:leafcutter:build": "docker compose -f docker-compose.leafcutter.yml up --build -d",
    "docker:zammad:up": "docker compose -f docker-compose.zammad.yml up -d",
    "docker:zammad:down": "docker compose -f docker-compose.zammad.yml down",
    "docker:zammad:build": "docker compose -f docker-compose.zammad.yml up --build -d",
    "docker:metamigo:dev:up": "docker compose -f docker-compose.metamigo-postgresql.yml -f docker-compose.zammad.yml up -d",
    "docker:metamigo:dev:down": "docker compose -f docker-compose.metamigo-postgresql.yml -f docker-compose.zammad.yml down",
    "docker:metamigo:up": "docker compose -f docker-compose.zammad.yml -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml up -d",
    "docker:metamigo:down": "docker compose -f docker-compose.zammad.yml -f docker-compose.metamigo-postgresql.yml -f docker-compose.metamigo.yml down",
    "upgrade:setup": "npm i -g npm-check-updates",
    "upgrade:check": "ncu && ncu -ws -x graphql -x postgraphile",
    "upgrade:all": "ncu -u && ncu -ws -u -x graphql -x postgraphile",
    "clean": "rm -rf node_modules && rm -rf apps/*/node_modules && rm -rf packages/*/node_modules && rm -rf apps/*/.next"
  },
  "packageManager": "npm@9.6.7",
  "workspaces": [
    "apps/*",
    "packages/*"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/digiresilience/link/link-stack.git"
  },
  "author": "Darren Clarke",
  "license": "AGPL-3.0-or-later",
  "overrides": {
    "@mui/styles": {
      "react": "18.2.0"
    },
    "typeorm": {
      "pg": "^8.11.0"
    },
    "graphql": "15.8.0"
  },
  "devDependencies": {
    "prettier": "^3.0.0",
    "dotenv-cli": "latest"
  },
  "engines": {
    "npm": ">=9.6.7",
    "node": ">=20"
  }
}
